Bug 133261 - [patch] www/free-sa: respect system cflags and expose DEBUG macro
[patch] www/free-sa: respect system cflags and expose DEBUG macro
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 03:20 UTC by swell.k
Modified: 2009-06-15 19:10 UTC (History)
0 users

See Also:


Attachments
free-sa.diff (1.86 KB, patch)
2009-04-01 03:20 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-04-01 03:20:00 UTC
- don't override system cflags (-O2 -pipe -fno-strict-aliasing)

- allow changing DEBUG macro from make.conf,
  expose it as DEBUG_LEVEL;
  for some reason defining DEBUG in make.conf
  doesn't work here even if global.mk uses `?='

- move all changes to global.mk in *one* place,
  i.e. replace ${PATCHDIR}/patch-global.mk with one line
  substitution in post-patch target

- reshape REINPLACE_CMD line for easy modification,
  eg. removing one substitution corresponds one line in diff

- mark as MAKE_JOBS_SAFE
Comment 1 Edwin Groothuis freebsd_committer 2009-04-01 03:20:35 UTC
Maintainer of www/free-sa,

Please note that PR ports/133261 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133261

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-04-01 03:20:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2009-06-01 19:45:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2009-06-01 19:48:52 UTC
This patch no longer applies cleanly. Can you please submit a patch that
applies against the port in it's current state?  Thanks!

-- WXS
Comment 5 dfilter freebsd_committer 2009-06-15 19:08:35 UTC
wxs         2009-06-15 18:08:21 UTC

  FreeBSD ports repository

  Modified files:
    www/free-sa          Makefile 
  Log:
  - Respect CFLAGS.
  
  PR:             ports/133261, partially
  Submitted by:   Anonymous <swell.k@gmail.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.17      +4 -0      ports/www/free-sa/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2009-06-15 19:08:43 UTC
State Changed
From-To: feedback->closed

The part about respecting CFLAGS has now been committed.